function getcmpl, fname, mcols, syntcol, fcol, dmod, am=am, n0=n0

; am[2] = extinction correction in two bands
; mcols = columns with input magnitudes
; rcols = columns with recovered magnitudes
; syntcol = column with number of synthetic objects added
; fcol    = column with number of objects found
; n0    = objects recovered when none are added

  if (n_elements(am) eq 0) then am = [0., 0.]
  if (n_elements(n0) eq 0) then n0 = 0
  xx = rdtxt(fname,[mcols[0], mcols[1], syntcol, fcol]) 
;   print, xx
  nc = n_elements(xx(0,*))
  cmpl = fltarr(3,nc)
  cmpl(0,*) = xx(0,*) - dmod - am[0]
  cmpl(1,*) = xx(1,*) - dmod - am[1]
  cmpl(2,*) = (xx(3,*)-n0) / (xx(2,*)-n0)
  w = where (cmpl(2,*) lt 0)
  if (w[0] ge 0) then cmpl(2,w) = 0.

  return, cmpl
end
