function getpar, pfile, pname, default=default, allowed=allowed
  if (n_elements(default) eq 0) then default = ''
  f = file_info(pfile)

  if f.exists then begin
    openr, lun, pfile, /get_lun

    s = ''
    while (not eof(lun)) do begin
      readf, lun, s
      j = strpos(s,'#')
      if (j ge 0) then s = strmid(s, 0, j)
      if strpos(strupcase(s)+' ', strupcase(pname)) eq 0 then begin
        j = strpos(s,'=')
        pval = strmid(s, j+1)
        pvsplit = strsplit(pval,' ',/extract)
        if (n_elements(pvsplit) eq 1) then pvsplit = pvsplit[0]
      end
    end

    free_lun,lun
  end

  if (n_elements(pvsplit) eq 0) then begin
    pvsplit = strsplit(default,' ',/extract)
    if (n_elements(pvsplit) eq 1) then pvsplit = pvsplit[0]
  end

  if (n_elements(allowed) gt 0) then begin
    alsplit = strsplit(allowed,' ',/extract)
    ok = 0
    for i=0,n_elements(alsplit)-1 do begin
      if (alsplit[i] eq pvsplit) then ok = 1
    end

    if (not ok) then begin
      print, '** GETPAR: Illegal parameter value: ',pname,'=',pvsplit
      print, '** GETPAR: Allowed values = ',allowed
    end
  end

  return, pvsplit
end
