pro phess, pixels, xr, yr, logscl=logscl, neg=neg, _Extra=extra

  plot, xr, yr, xr=xr, yr=yr, xstyle=1, ystyle=1, /nodata, _extra=extra

  if (n_elements(logscl) gt 0) then begin
    pp = alog10(pixels/max(pixels)+logscl)
    pscl = (!D.TABLE_SIZE-1)*(pp-min(pp))/(max(pp)-min(pp))
  end else $
    pscl = (!D.TABLE_SIZE-1)*(pixels/max(pixels))

  if (n_elements(neg) gt 0) then pscl = max(pscl)-pscl
  if (n_elements(noshow) eq 0) then begin
    tvimage, pscl, /overplot

  ; We have to redraw the axes

    axis, xaxis=0, xstyle=1, xtickformat='(A1)', color=color
    axis, xaxis=1, xstyle=1, xtickformat='(A1)', color=color
    axis, yaxis=0, ystyle=1, ytickformat='(A1)', color=color
    axis, yaxis=1, ystyle=1, ytickformat='(A1)', color=color
  end

end
